//
//  uesoapTransactionRequestObject.h
//
//  Created by eBizCharge on 4/17/14.
//  Copyright (c) 2015 eBizCharge. All rights reserved.
//

#import <Foundation/Foundation.h>

@class  USAePayLibraryUesoapTransactionDetail;
@class  USAePayLibraryUesoapCreditCardData;
@class  USAePayLibraryUesoapCheckData;
@class  USAePayLibraryUesoapAddress;
@class  USAePayLibraryUesoapRecurring;

@interface USAePayLibraryUesoapTransactionRequestObject : NSObject {

	NSString *Command;
	BOOL IgnoreDuplicate;
	NSString *AuthCode;
	NSString *RefNum;
	NSString *AccountHolder;
	USAePayLibraryUesoapTransactionDetail *Details;
	USAePayLibraryUesoapCreditCardData *CreditCardData;
	USAePayLibraryUesoapCheckData *CheckData;
	NSString *ClientIP;
	NSString *CustomerID;
	USAePayLibraryUesoapAddress *BillingAddress;
	USAePayLibraryUesoapAddress *ShippingAddress;	
	BOOL CustReceipt;	
	NSString *CustReceiptName;
	NSString *Software;
	USAePayLibraryUesoapRecurring *RecurringBilling;
	NSString *Location;
	NSString *LineItemData;
    NSString *CustomFieldsData;
	
}

@property (readwrite, retain) NSString *Command;
@property (readwrite, nonatomic) BOOL IgnoreDuplicate;
@property (readwrite, retain) NSString *AuthCode;
@property (readwrite, retain) NSString *RefNum;
@property (readwrite, retain) NSString *AccountHolder;
@property (readwrite, retain) USAePayLibraryUesoapTransactionDetail *Details;
@property (readwrite, retain) USAePayLibraryUesoapCreditCardData *CreditCardData;
@property (readwrite, retain) USAePayLibraryUesoapCheckData *CheckData;
@property (readwrite, retain) NSString *ClientIP;
@property (readwrite, retain) NSString *CustomerID;
@property (readwrite, retain) USAePayLibraryUesoapAddress *BillingAddress;
@property (readwrite, retain) USAePayLibraryUesoapAddress *ShippingAddress;
@property (readwrite, nonatomic) BOOL CustReceipt;
@property (readwrite, retain) NSString *CustReceiptName;
@property (readwrite, retain) NSString *Software;
@property (readwrite, retain) NSString *Location;
@property (readwrite, retain) USAePayLibraryUesoapRecurring *RecurringBilling;
@property (readwrite, retain) NSString *LineItemData;
@property (readwrite, retain) NSString *CustomFieldsData;

@end
