//
//  CurrencyAmount.h
//
//  Created by eBizCharge on 4/17/14.
//  Copyright (c) 2015 eBizCharge. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface USAePayLibraryCurrencyAmount : NSObject {
	long long amount;
	unsigned int precision;
}

@property (nonatomic,readonly) long long amount;
@property (nonatomic,readonly) unsigned int precision;

-(NSString *)toString;
-(NSString *) toCurrencyString;
-(id)initWithString:(NSString *)string;
-(id)initWithAmount:(long long)intamount precision: (unsigned int)intprecision;
+(id)currencyamountWithString:(NSString *)string;


-(void)setPrecision:(unsigned int)newprecision;
-(USAePayLibraryCurrencyAmount *)add:(USAePayLibraryCurrencyAmount *)b;
-(USAePayLibraryCurrencyAmount *)addInt:(int)i;
-(USAePayLibraryCurrencyAmount *)sub:(USAePayLibraryCurrencyAmount *)b;
-(USAePayLibraryCurrencyAmount *)subInt:(int)i;
-(USAePayLibraryCurrencyAmount *)multiply:(USAePayLibraryCurrencyAmount *)b;
-(USAePayLibraryCurrencyAmount *)multiplyByInt:(int)i;
-(USAePayLibraryCurrencyAmount *)divide:(USAePayLibraryCurrencyAmount *)b;
-(USAePayLibraryCurrencyAmount *)divideByInt:(int)i;

-(NSString *)debugDump;

@end
