//
//  uesoapTransactionDetail.h
//
//  Created by eBizCharge on 4/17/14.
//  Copyright (c) 2015 eBizCharge. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "USAePayLibraryUesoapObject.h"

@class USAePayLibraryCurrencyAmount;

@interface USAePayLibraryUesoapTransactionDetail : USAePayLibraryUesoapObject {
	

	NSString *Invoice;
	NSString *PONum;
	NSString *OrderID;
	NSString *Clerk;
	NSString *CheckNum;
	NSString *Terminal;
	NSString *Table;
	NSString *Description;
	NSString *Comments;
	int 	Currency;
	USAePayLibraryCurrencyAmount 	*Tip;
	BOOL 	NonTax;
    BOOL AllowPartialAuth;
	USAePayLibraryCurrencyAmount 	*Shipping;
	USAePayLibraryCurrencyAmount 	*Discount;
	USAePayLibraryCurrencyAmount 	*Subtotal;
	
}

@property (readwrite, retain) NSString *Invoice;
@property (readwrite, retain) NSString *PONum;
@property (readwrite, retain) NSString *OrderID;
@property (readwrite, retain) NSString *Clerk;
@property (readwrite, retain) NSString *CheckNum;
@property (readwrite, retain) NSString *Terminal;
@property (readwrite, retain) NSString *Table;
@property (readwrite, retain) NSString *Description;
@property (readwrite, retain) NSString *Comments;
@property (nonatomic, retain) NSString *amountOwe;
@property (nonatomic, retain) NSString *taxAmount;
@property (readwrite, nonatomic) int 	Currency;
@property (readwrite, retain) USAePayLibraryCurrencyAmount 	*Tip;
@property (readwrite, nonatomic) BOOL 	NonTax;
@property (readwrite, nonatomic) BOOL AllowPartialAuth;
@property (readwrite, retain) USAePayLibraryCurrencyAmount 	*Shipping;
@property (readwrite, retain) USAePayLibraryCurrencyAmount 	*Discount;
@property (readwrite, retain) USAePayLibraryCurrencyAmount 	*Subtotal;

-(NSString *) getXML;
-(id) initWithXML:(NSString *)string;

@end
